# Summary

Addition of type definitions for the [@pega/constellationjs](https://www.npmjs.com/package/@pega/constellationjs) package for use in TypeScript projects. For detailed documentation, see [the API specification](https://typescale.github.io/dxapi2/modules/_typescale_constellation_core_types.html).

# Installation

```bash
npm install @typescale/constellation-core-types@23.1.1
```

Versioning is in sync with the `@pega/constellationjs` package.

# Usage

Add the type definition to the typeRoots of the tsconfig.json to be able to get TypeScript support.

```json
{
    "compilerOptions": {
        "typeRoots": [
            "node_modules/@types",
            "node_modules/@typescale"
        ]
    }
}
```

# API documentation

For detailed documentation, see [the API specification](https://typescale.github.io/dxapi2/modules/_typescale_constellation_core_types.html).
